<%--
  Created by IntelliJ IDEA.
  User: njc
  Date: 2022/5/9
  Time: 1:58
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<script type="text/javascript">
    /**
     * 显示博客标题
     * @param val
     * @param row
     * @returns {*}
     */
    function formatBlogTitle(val, row) {
        return val.title;
    }

    /**
     * 显示评论状态
     */
    function formatState(val) {
        if (val === 0) {
            return "待审核";
        } else if (val === 1) {
            return "审核通过";
        } else {
            return "审核不通过";
        }
    }

    /**
     * 删除评论
     */
    function deleteComment() {
        var selectedRows = $("#c-dg").datagrid("getSelections");
        if (selectedRows.length === 0) {
            $.messager.alert("系统提示", "请至少选择一条要编辑的数据！");
            return;
        }
        var strIds = [];
        for (var i = 0; i < selectedRows.length; i++) {
            strIds.push(selectedRows[i].id);
        }
        var ids = strIds.join(",");
        $.messager.confirm("系统提示", "您确定要删除这<font color=red>" + selectedRows.length + "</font>条数据吗？", function (r) {
            if (r) {
                $.post("${pageContext.request.contextPath}/admin/comment/delete.do", {ids: ids}, function (result) {
                    if (result.success) {
                        $.messager.alert("系统提示", "数据已经成功删除！");
                        $("#c-dg").datagrid("reload");
                    } else {
                        $.messager.alert("系统提示", "数据删除失败！");
                    }
                }, "json");
            }
        });
    }
</script>
<table id="c-dg" title="评论管理" class="easyui-datagrid" fitcolumns="true" rownumber="true" pagination="true"
       url="${pageContext.request.contextPath}/admin/comment/list.do" fit="true" toolbar="#c-tb">
    <thead>
    <tr>
        <th field="cb" checkbox="true" align="center"></th>
        <th field="id" width="20" align="center">编号</th>
        <th field="blog" width="200" align="center" formatter="formatBlogTitle">博客标题</th>
        <th field="userIp" width="100" align="center">用户IP</th>
        <th field="content" width="200" align="center">评论内容</th>
        <th field="commentDate" width="50" align="center">评论日期</th>
        <th field="state" width="50" align="center" formatter="formatState">评论状态</th>
    </tr>
    </thead>
</table>
<div id="c-tb">
    <a href="javascript:deleteComment()" class="easyui-linkbutton" iconcls="icon-remove" plain="true">删除</a>
</div>